0

I have added foreign architecture to my amd64 system, e.g. arm64. Let's suppose I want to install libproj9:arm64. I get the following error:

libproj9:arm64 : Depends: proj-data:arm64 but it is not installable

Now looking at proj-data package (here), you can see that architecture support is all. So in theory installing proj-data as apt-get install proj-data should provide support for all architectures, i.e. is architecture independent.

However... the package manager is looking for proj-data:arm64 and naturally cannot find it and is failing.

  • Is there a known way to overcome this? In case it matters, I am under Xenial (Ubuntu 16.04).
  • Or should I manually edit the .deb file as hinted here and try to trick dpkg?
  • Are you sure it's an architecture conflict and not a version conflict? – muru Jan 18 '18 at 9:54
  • Yeap. So I tried my second suggestion: 1. I downloaded proj-data: apt-get download proj-data 2. I used fpm to change the control file of the .deb: fpm -e -s deb -t deb ../proj-data_4.9.2-2_all.deb 3. In the control file I change this line: Architecture: all to Architecture: arm64 4. I installed the new .deb: dpkg -i <deb_file> And now libproj9:arm64 is not complaining any more. – Tanasis Jan 18 '18 at 10:48
0

So as I suspected there is a hacky solution for now, which I don't like but at least it allows me to continue working. In case someone is interested in a temp solution:

  • I downloaded proj-data: apt-get download proj-data
  • I used fpm to change the control file of the .deb: fpm -e -s deb -t deb ../proj-data_4.9.2-2_all.deb
  • In the control file I change this line: Architecture: all to Architecture: arm64
  • I installed the new .deb: dpkg -i <deb_file>

And now libproj9:arm64 is not complaining finding proj-data:arm64 any more.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.